import classcat from 'classcat';
import getMinutes from 'date-fns/getMinutes';
import React from 'react';
export const Cell = React.memo(function Cell({ timeIndex, children, classes, getDateRangeForVisualGrid, onClick, }) {
    const [[start]] = getDateRangeForVisualGrid({
        startX: 0,
        startY: timeIndex,
        endX: 0,
        endY: timeIndex + 1,
        spanX: 1,
        spanY: 1,
    });
    const isHourStart = getMinutes(start) === 0;
    return (<div role="button" onClick={onClick} className={classcat([
        classes.cell,
        { [classes['is-hour-start']]: isHourStart },
    ])}>
      {children && children({ start, isHourStart })}
    </div>);
});
//# sourceMappingURL=Cell.jsx.map